### Method

# FwupdPlugin DeviceLocker close

since: 1.4.0

#### Declaration [src]

    gboolean
    fu_device_locker_close (
      FuDeviceLocker* self
      GError** error
    )

#### Description [src]

Closes the locker before it gets cleaned up.

This function can be used to manually close a device managed by a locker, and allows the caller to properly handle the error.

Available since: 1.4.0

#### Return value

Type: `gboolean`

`TRUE` for success.